version: 2
updates:
  # Python dependencies
  - package-ecosystem: "pip"
    directory: "/"
    schedule:
      interval: "weekly"
    commit-message:
      prefix: "[DEPENDABOT] Update"
    open-pull-requests-limit: 10
    labels:
      - "dependencies"
    reviewers:
      - "pacnpal"

  # GitHub Actions dependencies
  - package-ecosystem: "github-actions"
    directory: "/"
    schedule:
      interval: "weekly"
    commit-message:
      prefix: "[DEPENDABOT] Update Actions"